# Uses of Interface
org.eclipse.emf.cdo.lm.Delivery

Packages that use Delivery
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of Delivery in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return Delivery
Modifier and Type
Method
Description
`Delivery`
LMFactory.`createDelivery()`
Returns a new object of class 'Delivery'.
`Delivery`
Change.`getDelivery(Stream stream)`
`Delivery`
Stream.`getDelivery(Change change)`
Methods in org.eclipse.emf.cdo.lm that return types with arguments of type Delivery
Modifier and Type
Method
Description
`EList<Delivery>`
Change.`getDeliveries()`
Returns the value of the 'Deliveries' reference list.
`EList<Delivery>`
FloatingBaseline.`getDeliveries()`

## Uses of Delivery in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return Delivery
Modifier and Type
Method
Description
`Delivery`
ISystemDescriptor.`createDelivery(Stream stream, Change change, LMMerger merger, IProgressMonitor monitor)`

## Uses of Delivery in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement Delivery
Modifier and Type
Class
Description
`class`
`DeliveryImpl`
An implementation of the model object 'Delivery'.
Methods in org.eclipse.emf.cdo.lm.impl that return Delivery
Modifier and Type
Method
Description
`Delivery`
LMFactoryImpl.`createDelivery()`
`Delivery`
ChangeImpl.`getDelivery(Stream stream)`
`Delivery`
StreamImpl.`getDelivery(Change change)`
Methods in org.eclipse.emf.cdo.lm.impl that return types with arguments of type Delivery
Modifier and Type
Method
Description
`EList<Delivery>`
ChangeImpl.`getDeliveries()`
`abstract EList<Delivery>`
FloatingBaselineImpl.`getDeliveries()`
`EList<Delivery>`
StreamImpl.`getDeliveries()`

## Uses of Delivery in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type Delivery
Modifier and Type
Method
Description
`T`
LMSwitch.`caseDelivery(Delivery object)`
Returns the result of interpreting the object as an instance of 'Delivery'.